{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms %}

{% block page_title %}
    {% if object %}
        {% translate "Edit topic category" %} {{ topic_category.title|escape }}
    {% else %}
        {% translate "New topic category" %}
    {% endif %}
{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:topic-category-list' %}">
            {% translate "Topics categories" %}
        </a>
    </li>
    
    {% if object %}
        <li class="breadcrumb-item">
            <a href="{{ topic_category.get_absolute_url }}">
                {{ topic_category.title|escape }}
            </a>
        </li>
    {% endif %}
{% endblock %}

{% block content_title %}
    {% if object %}
        {% translate "Edit topic category" %}
    {% else %}
        {% translate "New topic category" %}    
    {% endif %}
{% endblock %}


{% block content %}

    <div class="row">
        <form method="post" class="w-50">
            {% csrf_token %}
            {% bootstrap_form form %}
            {% if object %}
                <input type="submit" class="btn btn-primary" value="{% translate "Save" %}" />
                <a class="btn btn-secondary" href="{{ topic_category.get_absolute_url }}">{% translate "Cancel" %}</a>
            {% else %}
                <input type="submit" class="btn btn-primary" value="{% translate "Create" %}" />
                <a class="btn btn-secondary" href="{% url 'slow_forum:topic-category-list' %}">{% translate "Cancel" %}</a>
            {% endif %}
        </form>
    </div>
    
{% endblock %}
